Skip to content
vocapable.Docs

One queue's messaging overrides (expected_revision)

PUT
/v1/workspace/contact-center/messaging/queues/{queue_id}
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/contact-center/messaging/queues/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "capacity": 1, "offer_timeout_seconds": 1, "call_blocks_conversations": true, "sla_seconds": 1, "sla_percent": 1, "expected_revision": 1 }'
queue_id
required
Queue Id
string
Media typeapplication/json
CcQueueMessagingUpdate
object
capacity
Any of:
integer
>= 1 <= 10
offer_timeout_seconds
Any of:
integer
>= 15 <= 600
call_blocks_conversations
Any of:
boolean
sla_seconds
Any of:
integer
>= 10 <= 86400
sla_percent
Any of:
integer
>= 1 <= 100
expected_revision
required
Expected Revision
integer
>= 1
Examplegenerated
{
"capacity": 1,
"offer_timeout_seconds": 1,
"call_blocks_conversations": true,
"sla_seconds": 1,
"sla_percent": 1,
"expected_revision": 1
}

Successful Response

Media typeapplication/json
CcQueueMessaging

One queue’s overrides (null = the company’s) and what applies.

object
queue_id
required
Queue Id
string
queue_name
required
Queue Name
string
capacity
required
Any of:
integer
offer_timeout_seconds
required
Any of:
integer
call_blocks_conversations
required
Any of:
boolean
sla_seconds
required
Any of:
integer
sla_percent
required
Any of:
integer
effective_capacity
required
Effective Capacity
integer
effective_offer_timeout_seconds
required
Effective Offer Timeout Seconds
integer
effective_call_blocks_conversations
required
Effective Call Blocks Conversations
boolean
effective_sla_seconds
required
Effective Sla Seconds
integer
effective_sla_percent
required
Effective Sla Percent
integer
revision
required
Revision
integer
Examplegenerated
{
"queue_id": "example",
"queue_name": "example",
"capacity": 1,
"offer_timeout_seconds": 1,
"call_blocks_conversations": true,
"sla_seconds": 1,
"sla_percent": 1,
"effective_capacity": 1,
"effective_offer_timeout_seconds": 1,
"effective_call_blocks_conversations": true,
"effective_sla_seconds": 1,
"effective_sla_percent": 1,
"revision": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}